VTK: vtkTextRepresentation Class Reference

| VTK 9.3.1

Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
vtkTextRepresentation Class Reference

represent text for vtkTextWidget More...

`#include <vtkTextRepresentation.h>`

Inheritance diagram for vtkTextRepresentation:
[legend]
Collaboration diagram for vtkTextRepresentation:
[legend]

## Public Member Functions
void | BuildRepresentation () override
| Satisfy the superclasses API. More...
void | GetSize (double size[2]) override
| Subclasses should implement these methods. More...
void | SetWindowLocation (int enumLocation) override
| Set the text position, by enumeration ( vtkBorderRepresentation::AnyLocation = 0, vtkBorderRepresentation::LowerLeftCorner, vtkBorderRepresentation::LowerRightCorner, vtkBorderRepresentation::LowerCenter, vtkBorderRepresentation::UpperLeftCorner, vtkBorderRepresentation::UpperRightCorner, vtkBorderRepresentation::UpperCenter) related to the render window. More...
void | SetTextActor (vtkTextActor *textActor)
| Specify the vtkTextActor to manage. More...
virtual vtkTextActor * | GetTextActor ()
| Specify the vtkTextActor to manage. More...
void | SetText (const char *text)
| Get/Set the text string display by this representation. More...
const char * | GetText ()
| Get/Set the text string display by this representation. More...
void | GetActors2D (vtkPropCollection *) override
| These methods are necessary to make this representation behave as a vtkProp. More...
void | ReleaseGraphicsResources (vtkWindow *) override
| These methods are necessary to make this representation behave as a vtkProp. More...
int | RenderOverlay (vtkViewport *) override
| These methods are necessary to make this representation behave as a vtkProp. More...
int | RenderOpaqueGeometry (vtkViewport *) override
| These methods are necessary to make this representation behave as a vtkProp. More...
int | RenderTranslucentPolygonalGeometry (vtkViewport *) override
| These methods are necessary to make this representation behave as a vtkProp. More...
vtkTypeBool | HasTranslucentPolygonalGeometry () override
| These methods are necessary to make this representation behave as a vtkProp. More...
void | SetPosition (double x, double y) override
| Set the text position, by overriding the same function of vtkBorderRepresentation so that the Modified() will be called. More...
void | SetPosition (double pos[2]) override
| Set the text position, by overriding the same function of vtkBorderRepresentation so that the Modified() will be called. More...
void | ExecuteTextPropertyModifiedEvent (vtkObject *obj, unsigned long enumEvent, void *p)
| Internal. More...
void | ExecuteTextActorModifiedEvent (vtkObject *obj, unsigned long enumEvent, void *p)
| Internal. More...
virtual void | SetPaddingLeft (int)
| Set/Get the padding between the text and the left border, in pixels unit. More...
virtual int | GetPaddingLeft ()
| Set/Get the padding between the text and the left border, in pixels unit. More...
virtual void | SetPaddingRight (int)
| Set/Get the padding between the text and the right border, in pixels unit. More...
virtual int | GetPaddingRight ()
| Set/Get the padding between the text and the right border, in pixels unit. More...
virtual void | SetPaddingTop (int)
| Set/Get the padding between the text and the top border, in pixels unit. More...
virtual int | GetPaddingTop ()
| Set/Get the padding between the text and the top border, in pixels unit. More...
virtual void | SetPaddingBottom (int)
| Set/Get the padding between the text and the bottom border, in pixels unit. More...
virtual int | GetPaddingBottom ()
| Set/Get the padding between the text and the bottom border, in pixels unit. More...
void | SetPadding (int padding)
| Set the padding between the text and the left/right/top/bottom border, in pixels unit. More...
Public Member Functions inherited from vtkBorderRepresentation
virtual void | UpdateWindowLocation ()
| Update window location if a window location is set. More...
virtual void | SetInteractionState (int)
vtkMTimeType | GetMTime () override
| Return the MTime of this object. More...
void | SetBWActorDisplayOverlay (bool)
void | SetBWActorDisplayOverlayEdges (bool)
void | SetBWActorDisplayOverlayPolygon (bool)
virtual vtkCoordinate * | GetPositionCoordinate ()
| Specify opposite corners of the box defining the boundary of the widget. More...
virtual void | SetPosition (float x[2])
| Specify opposite corners of the box defining the boundary of the widget. More...
virtual void | SetPosition (float x, float y)
| Specify opposite corners of the box defining the boundary of the widget. More...
virtual float * | GetPosition ()
| Specify opposite corners of the box defining the boundary of the widget. More...
virtual vtkCoordinate * | GetPosition2Coordinate ()
| Specify opposite corners of the box defining the boundary of the widget. More...
virtual void | SetPosition2 (float x[2])
| Specify opposite corners of the box defining the boundary of the widget. More...
virtual void | SetPosition2 (float x, float y)
| Specify opposite corners of the box defining the boundary of the widget. More...
virtual float * | GetPosition2 ()
| Specify opposite corners of the box defining the boundary of the widget. More...
virtual void | SetShowBorder (int border)
| Specify when and if the border should appear. More...
virtual int | GetShowBorderMinValue ()
| Specify when and if the border should appear. More...
virtual int | GetShowBorderMaxValue ()
| Specify when and if the border should appear. More...
virtual int | GetShowBorder ()
| Specify when and if the border should appear. More...
void | SetShowBorderToOff ()
| Specify when and if the border should appear. More...
void | SetShowBorderToOn ()
| Specify when and if the border should appear. More...
void | SetShowBorderToActive ()
| Specify when and if the border should appear. More...
virtual void | SetShowVerticalBorder (int)
| Specify when and if the vertical border should appear. More...
virtual int | GetShowVerticalBorder ()
| Specify when and if the vertical border should appear. More...
virtual void | SetShowHorizontalBorder (int)
| Specify when and if the horizontal border should appear. More...
virtual int | GetShowHorizontalBorder ()
| Specify when and if the horizontal border should appear. More...
virtual vtkProperty2D * | GetBorderProperty ()
| Specify the properties of the border. More...
virtual void | SetShowPolygon (int border)
| Specify when and if the border's polygon background should appear. More...
virtual int | GetShowPolygon ()
| Specify when and if the border's polygon background should appear. More...
void | SetShowPolygonToOff ()
| Specify when and if the border's polygon background should appear. More...
void | SetShowPolygonToOn ()
| Specify when and if the border's polygon background should appear. More...
void | SetShowPolygonToActive ()
| Specify when and if the border's polygon background should appear. More...
virtual void | SetShowPolygonBackground (int)
| Specify when and if the border polygon background should appear. More...
virtual int | GetShowPolygonBackground ()
| Specify when and if the border polygon background should appear. More...
virtual void | SetEnforceNormalizedViewportBounds (vtkTypeBool)
| Whether to enforce the minimum normalized viewport size and limit the normalized viewport coordinates to [0.0 -> 1.0]. More...
virtual vtkTypeBool | GetEnforceNormalizedViewportBounds ()
| Whether to enforce the minimum normalized viewport size and limit the normalized viewport coordinates to [0.0 -> 1.0]. More...
virtual void | EnforceNormalizedViewportBoundsOn ()
| Whether to enforce the minimum normalized viewport size and limit the normalized viewport coordinates to [0.0 -> 1.0]. More...
virtual void | EnforceNormalizedViewportBoundsOff ()
| Whether to enforce the minimum normalized viewport size and limit the normalized viewport coordinates to [0.0 -> 1.0]. More...
virtual void | SetProportionalResize (vtkTypeBool)
| Indicate whether resizing operations should keep the x-y directions proportional to one another. More...
virtual vtkTypeBool | GetProportionalResize ()
| Indicate whether resizing operations should keep the x-y directions proportional to one another. More...
virtual void | ProportionalResizeOn ()
| Indicate whether resizing operations should keep the x-y directions proportional to one another. More...
virtual void | ProportionalResizeOff ()
| Indicate whether resizing operations should keep the x-y directions proportional to one another. More...
virtual void | SetMinimumNormalizedViewportSize (double, double)
| Specify a minimum and/or maximum size [0.0 -> 1.0] that this representation can take. More...
void | SetMinimumNormalizedViewportSize (double[2])
| Specify a minimum and/or maximum size [0.0 -> 1.0] that this representation can take. More...
virtual double * | GetMinimumNormalizedViewportSize ()
| Specify a minimum and/or maximum size [0.0 -> 1.0] that this representation can take. More...
virtual void | GetMinimumNormalizedViewportSize (double &, double &)
| Specify a minimum and/or maximum size [0.0 -> 1.0] that this representation can take. More...
virtual void | GetMinimumNormalizedViewportSize (double[2])
| Specify a minimum and/or maximum size [0.0 -> 1.0] that this representation can take. More...
virtual void | SetMinimumSize (int, int)
| Specify a minimum and/or maximum size (in pixels) that this representation can take. More...
void | SetMinimumSize (int[2])
| Specify a minimum and/or maximum size (in pixels) that this representation can take. More...
virtual int * | GetMinimumSize ()
| Specify a minimum and/or maximum size (in pixels) that this representation can take. More...
virtual void | GetMinimumSize (int &, int &)
| Specify a minimum and/or maximum size (in pixels) that this representation can take. More...
virtual void | GetMinimumSize (int[2])
| Specify a minimum and/or maximum size (in pixels) that this representation can take. More...
virtual void | SetMaximumSize (int, int)
| Specify a minimum and/or maximum size (in pixels) that this representation can take. More...
void | SetMaximumSize (int[2])
| Specify a minimum and/or maximum size (in pixels) that this representation can take. More...
virtual int * | GetMaximumSize ()
| Specify a minimum and/or maximum size (in pixels) that this representation can take. More...
virtual void | GetMaximumSize (int &, int &)
| Specify a minimum and/or maximum size (in pixels) that this representation can take. More...
virtual void | GetMaximumSize (int[2])
| Specify a minimum and/or maximum size (in pixels) that this representation can take. More...
virtual void | SetTolerance (int)
| The tolerance representing the distance to the widget (in pixels) in which the cursor is considered to be on the widget, or on a widget feature (e.g., a corner point or edge). More...
virtual int | GetTolerance ()
| The tolerance representing the distance to the widget (in pixels) in which the cursor is considered to be on the widget, or on a widget feature (e.g., a corner point or edge). More...
virtual double * | GetSelectionPoint ()
| After a selection event within the region interior to the border; the normalized selection coordinates may be obtained. More...
virtual void | GetSelectionPoint (double data[2])
| After a selection event within the region interior to the border; the normalized selection coordinates may be obtained. More...
virtual void | SetMoving (vtkTypeBool)
| This is a modifier of the interaction state. More...
virtual vtkTypeBool | GetMoving ()
| This is a modifier of the interaction state. More...
virtual void | MovingOn ()
| This is a modifier of the interaction state. More...
virtual void | MovingOff ()
| This is a modifier of the interaction state. More...
virtual int | GetWindowLocation ()
| Set the representation position, by enumeration ( AnyLocation = 0, LowerLeftCorner, LowerRightCorner, LowerCenter, UpperLeftCorner, UpperRightCorner, UpperCenter) related to the render window. More...
void | StartWidgetInteraction (double eventPos[2]) override
| Subclasses should implement these methods. More...
void | WidgetInteraction (double eventPos[2]) override
| Subclasses should implement these methods. More...
int | ComputeInteractionState (int X, int Y, int modify=0) override
| Subclasses should implement these methods. More...
virtual void | SetBorderColor (double, double, double)
| Set/Get the RGB color of the border. More...
virtual void | SetBorderColor (double[3])
| Set/Get the RGB color of the border. More...
virtual double * | GetBorderColor ()
| Set/Get the RGB color of the border. More...
virtual void | GetBorderColor (double &, double &, double &)
| Set/Get the RGB color of the border. More...
virtual void | GetBorderColor (double[3])
| Set/Get the RGB color of the border. More...
virtual void | SetBorderThickness (float)
| Set/Get the thickness of the border in screen units. More...
virtual float | GetBorderThickness ()
| Set/Get the thickness of the border in screen units. More...
virtual void | SetCornerRadiusStrength (double)
| Set/Get the ratio between no radius and maximum radius. More...
virtual double | GetCornerRadiusStrength ()
| Set/Get the ratio between no radius and maximum radius. More...
virtual void | SetCornerResolution (int)
| Set/Get the number of points that define each round corners. More...
virtual int | GetCornerResolution ()
| Set/Get the number of points that define each round corners. More...
virtual void | SetPolygonColor (double, double, double)
| Set/Get the RGB color of the background polygon. More...
virtual void | SetPolygonColor (double[3])
| Set/Get the RGB color of the background polygon. More...
virtual double * | GetPolygonColor ()
| Set/Get the RGB color of the background polygon. More...
virtual void | GetPolygonColor (double &, double &, double &)
| Set/Get the RGB color of the background polygon. More...
virtual void | GetPolygonColor (double[3])
| Set/Get the RGB color of the background polygon. More...
virtual void | SetPolygonOpacity (double)
| Set/Get the opacity of the background color. More...
virtual double | GetPolygonOpacity ()
| Set/Get the opacity of the background color. More...
void | SetPolygonRGBA (double rgba[4])
| Convenience method to set the background color and the opacity at once. More...
void | SetPolygonRGBA (double r, double g, double b, double a)
| Convenience method to set the background color and the opacity at once. More...
void | GetPolygonRGBA (double rgba[4])
| Convenience method to get the background color and the opacity at once. More...
void | GetPolygonRGBA (double &r, double &g, double &b, double &a)
| Convenience method to set the background color and the opacity at once. More...
vtkBorderRepresentation * | NewInstance () const
| Define standard methods. More...
Public Member Functions inherited from vtkWidgetRepresentation
virtual void | PlaceWidget (double vtkNotUsed(bounds)[6])
| The following is a suggested API for widget representations. More...
virtual void | EndWidgetInteraction (double newEventPos[2])
virtual int | GetInteractionState ()
virtual void | Highlight (int vtkNotUsed(highlightOn))
double * | GetBounds () override
| Methods to make this class behave as a vtkProp. More...
void | ShallowCopy (vtkProp *prop) override
| Shallow copy of this vtkProp. More...
void | GetActors (vtkPropCollection *) override
| For some exporters and other other operations we must be able to collect all the actors or volumes. More...
void | GetActors2D (vtkPropCollection *) override
void | GetVolumes (vtkPropCollection *) override
void | ReleaseGraphicsResources (vtkWindow *) override
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE Release any graphics resources that are being consumed by this actor. More...
int | RenderOverlay (vtkViewport *vtkNotUsed(viewport)) override
int | RenderOpaqueGeometry (vtkViewport *vtkNotUsed(viewport)) override
int | RenderTranslucentPolygonalGeometry (vtkViewport *vtkNotUsed(viewport)) override
int | RenderVolumetricGeometry (vtkViewport *vtkNotUsed(viewport)) override
vtkTypeBool | HasTranslucentPolygonalGeometry () override
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some translucent polygonal geometry? This method is called during the rendering process to know if there is some translucent polygonal geometry. More...
virtual void | RegisterPickers ()
| Register internal Pickers in the Picking Manager. More...
virtual void | UnRegisterPickers ()
| Unregister internal pickers from the Picking Manager. More...
virtual void | PickingManagedOn ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | PickingManagedOff ()
| Enable/Disable the use of a manager to process the picking. More...
void | SetPickingManaged (bool managed)
| Enable/Disable the use of a manager to process the picking. More...
virtual bool | GetPickingManaged ()
| Enable/Disable the use of a manager to process the picking. More...
virtual void | SetRenderer (vtkRenderer *ren)
| Subclasses of vtkWidgetRepresentation must implement these methods. More...
virtual vtkRenderer * | GetRenderer ()
| Subclasses of vtkWidgetRepresentation must implement these methods. More...
virtual void | StartComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual void | ComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual void | EndComplexInteraction (vtkRenderWindowInteractor *, vtkAbstractWidget *, unsigned long, void *)
virtual int | ComputeComplexInteractionState (vtkRenderWindowInteractor *iren, vtkAbstractWidget *widget, unsigned long event, void *callData, int modify=0)
virtual void | SetPlaceFactor (double)
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual double | GetPlaceFactor ()
| Set/Get a factor representing the scaling of the widget upon placement (via the PlaceWidget() method). More...
virtual void | SetHandleSize (double)
| Set/Get the factor that controls the size of the handles that appear as part of the widget (if any). More...
virtual double | GetHandleSize ()
| Set/Get the factor that controls the size of the handles that appear as part of the widget (if any). More...
virtual vtkTypeBool | GetNeedToRender ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | SetNeedToRender (vtkTypeBool)
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | NeedToRenderOn ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
virtual void | NeedToRenderOff ()
| Some subclasses use this data member to keep track of whether to render or not (i.e., to minimize the total number of renders). More...
vtkWidgetRepresentation * | NewInstance () const
| Standard methods for instances of this class. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard methods for instances of this class. More...
Public Member Functions inherited from vtkProp
vtkProp * | NewInstance () const
void | PrintSelf (ostream &os, vtkIndent indent) override
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | Pick ()
| Method fires PickEvent if the prop is picked. More...
virtual vtkMTimeType | GetRedrawMTime ()
| Return the mtime of anything that would cause the rendered image to appear differently. More...
virtual void | PokeMatrix (vtkMatrix4x4 *vtkNotUsed(matrix))
| These methods are used by subclasses to place a matrix (if any) in the prop prior to rendering. More...
virtual vtkMatrix4x4 * | GetMatrix ()
virtual bool | HasKeys (vtkInformation *requiredKeys)
| Tells if the prop has all the required keys. More...
virtual int | RenderVolumetricGeometry (vtkViewport *)
virtual bool | RenderFilteredOpaqueGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the opaque geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredTranslucentPolygonalGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the translucent polygonal geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredVolumetricGeometry (vtkViewport *v, vtkInformation *requiredKeys)
| Render the volumetric geometry only if the prop has all the requiredKeys. More...
virtual bool | RenderFilteredOverlay (vtkViewport *v, vtkInformation *requiredKeys)
| Render in the overlay of the viewport only if the prop has all the requiredKeys. More...
virtual vtkTypeBool | HasOpaqueGeometry ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS Does this prop have some opaque geometry? This method is called during the rendering process to know if there is some opaque geometry. More...
virtual double | GetEstimatedRenderTime (vtkViewport *)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS The EstimatedRenderTime may be used to select between different props, for example in LODProp it is used to select the level-of-detail. More...
virtual double | GetEstimatedRenderTime ()
virtual void | SetEstimatedRenderTime (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS This method is used by, for example, the vtkLODProp3D in order to initialize the estimated render time at start-up to some user defined value. More...
virtual void | RestoreEstimatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THESE METHODS OUTSIDE OF THE RENDERING PROCESS When the EstimatedRenderTime is first set to 0.0 (in the SetAllocatedRenderTime method) the old value is saved. More...
virtual void | AddEstimatedRenderTime (double t, vtkViewport *vtkNotUsed(vp))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS This method is intended to allow the renderer to add to the EstimatedRenderTime in props that require information that the renderer has in order to do this. More...
void | SetRenderTimeMultiplier (double t)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Get/Set the multiplier for the render time. More...
virtual double | GetRenderTimeMultiplier ()
virtual void | BuildPaths (vtkAssemblyPaths *paths, vtkAssemblyPath *path)
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used to construct assembly paths and perform part traversal. More...
virtual bool | GetSupportsSelection ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Used by vtkHardwareSelector to determine if the prop supports hardware selection. More...
virtual void | ProcessSelectorPixelBuffers (vtkHardwareSelector *, std::vector< unsigned int > &)
| allows a prop to update a selections color buffers More...
virtual void | SetVisibility (vtkTypeBool)
| Set/Get visibility of this vtkProp. More...
virtual vtkTypeBool | GetVisibility ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOn ()
| Set/Get visibility of this vtkProp. More...
virtual void | VisibilityOff ()
| Set/Get visibility of this vtkProp. More...
virtual void | SetPickable (vtkTypeBool)
| Set/Get the pickable instance variable. More...
virtual vtkTypeBool | GetPickable ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOn ()
| Set/Get the pickable instance variable. More...
virtual void | PickableOff ()
| Set/Get the pickable instance variable. More...
virtual void | SetDragable (vtkTypeBool)
| Set/Get the value of the dragable instance variable. More...
virtual vtkTypeBool | GetDragable ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOn ()
| Set/Get the value of the dragable instance variable. More...
virtual void | DragableOff ()
| Set/Get the value of the dragable instance variable. More...
virtual void | SetUseBounds (bool)
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual bool | GetUseBounds ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOn ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | UseBoundsOff ()
| In case the Visibility flag is true, tell if the bounds of this prop should be taken into account or ignored during the computation of other bounding boxes, like in vtkRenderer::ResetCamera(). More...
virtual void | InitPathTraversal ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkAssemblyPath * | GetNextPath ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual int | GetNumberOfPaths ()
| vtkProp and its subclasses can be picked by subclasses of vtkAbstractPicker (e.g., vtkPropPicker). More...
virtual vtkInformation * | GetPropertyKeys ()
| Set/Get property keys. More...
virtual void | SetPropertyKeys (vtkInformation *keys)
| Set/Get property keys. More...
virtual void | SetAllocatedRenderTime (double t, vtkViewport *vtkNotUsed(v))
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS The renderer may use the allocated rendering time to determine how to render this actor. More...
virtual double | GetAllocatedRenderTime ()
| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS. More...
virtual int | GetNumberOfConsumers ()
| Get the number of consumers. More...
void | AddConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
void | RemoveConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
vtkObject * | GetConsumer (int i)
| Add or remove or get or check a consumer,. More...
int | IsConsumer (vtkObject *c)
| Add or remove or get or check a consumer,. More...
virtual void | SetShaderProperty (vtkShaderProperty *property)
| Set/Get the shader property. More...
virtual vtkShaderProperty * | GetShaderProperty ()
| Set/Get the shader property. More...
virtual bool | IsRenderingTranslucentPolygonalGeometry ()
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Static Public Member Functions
static vtkTextRepresentation * | New ()
| Instantiate class. More...
Static Public Member Functions inherited from vtkBorderRepresentation
static vtkBorderRepresentation * | New ()
| Instantiate this class. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Define standard methods. More...
static vtkBorderRepresentation * | SafeDownCast (vtkObjectBase *o)
| Define standard methods. More...
Static Public Member Functions inherited from vtkWidgetRepresentation
static vtkTypeBool | IsTypeOf (const char *type)
| Standard methods for instances of this class. More...
static vtkWidgetRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard methods for instances of this class. More...
Static Public Member Functions inherited from vtkProp
static vtkTypeBool | IsTypeOf (const char *type)
static vtkProp * | SafeDownCast (vtkObjectBase *o)
static vtkInformationIntegerKey * | GeneralTextureUnit ()
| Optional Key Indicating the texture unit for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
static vtkInformationDoubleVectorKey * | GeneralTextureTransform ()
| Optional Key Indicating the texture transform for general texture mapping Old OpenGL was a state machine where you would push or pop items. More...
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...

## Protected Member Functions
| vtkTextRepresentation ()
| ~vtkTextRepresentation () override
virtual void | InitializeTextActor ()
virtual void | CheckTextBoundary ()
Protected Member Functions inherited from vtkBorderRepresentation
| vtkBorderRepresentation ()
| ~vtkBorderRepresentation () override
virtual void | NegotiateLayout ()
virtual void | UpdateShowBorder ()
void | ComputeRoundCorners ()
| Create all 4 round corners with the specified radius and resolution. More...
void | ComputeOneRoundCorner (vtkCellArray *polys, vtkPoints *points, double radius, vtkIdType xPt, vtkIdType yPt, double startAngle)
| Create a quarter circle centered in point[idCenterX].x, point[idCenterY].y), of radius 'radius' with a starting angle 'startAngle' ending in 'startAngle + PI/2' with CornerResolution number of points. More...
Protected Member Functions inherited from vtkWidgetRepresentation
| vtkWidgetRepresentation ()
| ~vtkWidgetRepresentation () override
void | AdjustBounds (double bounds[6], double newBounds[6], double center[3])
vtkPickingManager * | GetPickingManager ()
| Return the picking manager associated on the context on which the widget representation currently belong. More...
vtkAssemblyPath * | GetAssemblyPath (double X, double Y, double Z, vtkAbstractPropPicker *picker)
| Proceed to a pick, whether through the PickingManager if the picking is managed or directly using the registered picker, and return the assembly path. More...
vtkAssemblyPath * | GetAssemblyPath3DPoint (double pos[3], vtkAbstractPropPicker *picker)
bool | NearbyEvent (int X, int Y, double bounds[6])
double | SizeHandlesRelativeToViewport (double factor, double pos[3])
double | SizeHandlesInPixels (double factor, double pos[3])
void | UpdatePropPose (vtkProp3D *prop, const double *pos1, const double *orient1, const double *pos2, const double *orient2)
Protected Member Functions inherited from vtkProp
| vtkProp ()
| ~vtkProp () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)

## Protected Attributes
vtkTextActor * | TextActor
vtkTextProperty * | TextProperty
vtkTextRepresentationObserver * | Observer
int | PaddingLeft = 0
int | PaddingRight = 0
int | PaddingTop = 0
int | PaddingBottom = 0
Protected Attributes inherited from vtkBorderRepresentation
int | ShowVerticalBorder = BORDER_ON
int | ShowHorizontalBorder = BORDER_ON
int | ShowPolygonBackground = BORDER_ON
vtkNew< vtkProperty2D > | BorderProperty
vtkNew< vtkProperty2D > | PolygonProperty
vtkTypeBool | EnforceNormalizedViewportBounds = 0
vtkTypeBool | ProportionalResize = 0
int | Tolerance = 3
vtkTypeBool | Moving = 0
double | SelectionPoint [2] = { 0.0, 0.0 }
vtkNew< vtkCoordinate > | PositionCoordinate
vtkNew< vtkCoordinate > | Position2Coordinate
int | WindowLocation = AnyLocation
int | Negotiated
double | StartPosition [2]
vtkNew< vtkPoints > | BWPoints
vtkNew< vtkPolyData > | BWPolyData
vtkNew< vtkPolyData > | PolyDataEdges
vtkNew< vtkPolyData > | PolyDataPolygon
vtkNew< vtkTransform > | BWTransform
vtkNew< vtkTransformPolyDataFilter > | BWTransformFilter
vtkNew< vtkPolyDataMapper2D > | BWMapperEdges
vtkNew< vtkPolyDataMapper2D > | BWMapperPolygon
vtkNew< vtkActor2D > | BWActorEdges
vtkNew< vtkActor2D > | BWActorPolygon
double | MinimumNormalizedViewportSize [2] = { 0.0, 0.0 }
int | MinimumSize [2] = { 1, 1 }
int | MaximumSize [2] = { VTK_INT_MAX, VTK_INT_MAX }
double | BorderColor [3] = { 1.0, 1.0, 1.0 }
float | BorderThickness = 1.0
double | CornerRadiusStrength = 0.0
int | CornerResolution = 20
double | PolygonColor [3] = { 1.0, 1.0, 1.0 }
double | PolygonOpacity = 0.0
Protected Attributes inherited from vtkWidgetRepresentation
vtkWeakPointer< vtkRenderer > | Renderer
int | InteractionState
double | StartEventPosition [3]
double | PlaceFactor
int | Placed
double | InitialBounds [6]
double | InitialLength
int | ValidPick
bool | PickingManaged
double | HandleSize
vtkTypeBool | NeedToRender
vtkTimeStamp | BuildTime
vtkNew< vtkTransform > | TempTransform
vtkNew< vtkMatrix4x4 > | TempMatrix
Protected Attributes inherited from vtkProp
vtkTypeBool | Visibility
vtkTypeBool | Pickable
vtkTypeBool | Dragable
bool | UseBounds
double | AllocatedRenderTime
double | EstimatedRenderTime
double | SavedEstimatedRenderTime
double | RenderTimeMultiplier
int | NumberOfConsumers
vtkObject ** | Consumers
vtkAssemblyPaths * | Paths
vtkInformation * | PropertyKeys
vtkShaderProperty * | ShaderProperty
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers
typedef vtkBorderRepresentation | Superclass
| Standard VTK methods. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard VTK methods. More...
static vtkTextRepresentation * | SafeDownCast (vtkObjectBase *o)
| Standard VTK methods. More...
virtual vtkTypeBool | IsA (const char *type)
| Standard VTK methods. More...
vtkTextRepresentation * | NewInstance () const
| Standard VTK methods. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard VTK methods. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Standard VTK methods. More...

## Additional Inherited Members
Public Types inherited from vtkBorderRepresentation
enum | { BORDER_OFF = 0 , BORDER_ON , BORDER_ACTIVE }
enum | { AnyLocation = 0 , LowerLeftCorner , LowerRightCorner , LowerCenter , UpperLeftCorner , UpperRightCorner , UpperCenter }
enum | InteractionStateType { Outside = 0 , Inside , AdjustingP0 , AdjustingP1 , AdjustingP2 , AdjustingP3 , AdjustingE0 , AdjustingE1 , AdjustingE2 , AdjustingE3 }
| Define the various states that the representation can be in. More...
typedef InteractionStateType | _InteractionState
typedef vtkWidgetRepresentation | Superclass
| Define standard methods. More...
Public Types inherited from vtkWidgetRepresentation
enum | Axis { NONE = -1 , XAxis = 0 , YAxis = 1 , ZAxis = 2 , Custom = 3 }
| Axis labels. More...
typedef vtkProp | Superclass
| Standard methods for instances of this class. More...
Public Types inherited from vtkProp
typedef vtkObject | Superclass
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()

## Detailed Description

represent text for vtkTextWidget

This class represents text for a vtkTextWidget. This class provides support for interactively placing text on the 2D overlay plane. The text is defined by an instance of vtkTextActor.

See also
  vtkTextRepresentation vtkBorderWidget vtkAbstractWidget vtkWidgetRepresentation

Online Examples:

Tests:
  vtkTextRepresentation (Tests)

Definition at line 39 of file vtkTextRepresentation.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkBorderRepresentation vtkTextRepresentation::Superclass

Standard VTK methods.

Definition at line 51 of file vtkTextRepresentation.h.

## Constructor & Destructor Documentation

## ◆ vtkTextRepresentation()

vtkTextRepresentation::vtkTextRepresentation | ( |  | ) |
| protected

## ◆ ~vtkTextRepresentation()

vtkTextRepresentation::~vtkTextRepresentation | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ New()

static vtkTextRepresentation* vtkTextRepresentation::New | ( |  | ) |
| static

Instantiate class.

## ◆ IsTypeOf()

static vtkTypeBool vtkTextRepresentation::IsTypeOf | ( | const char * | type | ) |
| static

Standard VTK methods.

## ◆ IsA()

virtual vtkTypeBool vtkTextRepresentation::IsA | ( | const char * | type | ) |
| virtual

Standard VTK methods.

Reimplemented from vtkBorderRepresentation.

## ◆ SafeDownCast()

static vtkTextRepresentation* vtkTextRepresentation::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Standard VTK methods.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkTextRepresentation::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Standard VTK methods.

Reimplemented from vtkBorderRepresentation.

## ◆ NewInstance()

vtkTextRepresentation* vtkTextRepresentation::NewInstance | ( |  | ) | const

Standard VTK methods.

## ◆ PrintSelf()

void vtkTextRepresentation::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Standard VTK methods.

Reimplemented from vtkBorderRepresentation.

## ◆ SetTextActor()

void vtkTextRepresentation::SetTextActor | ( | vtkTextActor * | textActor | ) |

Specify the vtkTextActor to manage.

If not specified, then one is automatically created.

## ◆ GetTextActor()

virtual vtkTextActor* vtkTextRepresentation::GetTextActor | ( |  | ) |
| virtual

Specify the vtkTextActor to manage.

If not specified, then one is automatically created.

## ◆ SetText()

void vtkTextRepresentation::SetText | ( | const char * | text | ) |

Get/Set the text string display by this representation.

## ◆ GetText()

const char* vtkTextRepresentation::GetText | ( |  | ) |

Get/Set the text string display by this representation.

## ◆ BuildRepresentation()

void vtkTextRepresentation::BuildRepresentation | ( |  | ) |
| overridevirtual

Satisfy the superclasses API.

Reimplemented from vtkBorderRepresentation.

## ◆ GetSize()

void vtkTextRepresentation::GetSize | ( | double | size[2] | ) |
| inlineoverridevirtual

Subclasses should implement these methods.

See the superclasses' documentation for more information.

Reimplemented from vtkBorderRepresentation.

Definition at line 76 of file vtkTextRepresentation.h.

## ◆ GetActors2D()

void vtkTextRepresentation::GetActors2D | ( | vtkPropCollection * |  | ) |
| overridevirtual

These methods are necessary to make this representation behave as a vtkProp.

Reimplemented from vtkBorderRepresentation.

## ◆ ReleaseGraphicsResources()

void vtkTextRepresentation::ReleaseGraphicsResources | ( | vtkWindow * |  | ) |
| overridevirtual

These methods are necessary to make this representation behave as a vtkProp.

Reimplemented from vtkBorderRepresentation.

## ◆ RenderOverlay()

int vtkTextRepresentation::RenderOverlay | ( | vtkViewport * |  | ) |
| overridevirtual

These methods are necessary to make this representation behave as a vtkProp.

Reimplemented from vtkBorderRepresentation.

## ◆ RenderOpaqueGeometry()

int vtkTextRepresentation::RenderOpaqueGeometry | ( | vtkViewport * |  | ) |
| overridevirtual

These methods are necessary to make this representation behave as a vtkProp.

Reimplemented from vtkBorderRepresentation.

## ◆ RenderTranslucentPolygonalGeometry()

int vtkTextRepresentation::RenderTranslucentPolygonalGeometry | ( | vtkViewport * |  | ) |
| overridevirtual

These methods are necessary to make this representation behave as a vtkProp.

Reimplemented from vtkBorderRepresentation.

## ◆ HasTranslucentPolygonalGeometry()

vtkTypeBool vtkTextRepresentation::HasTranslucentPolygonalGeometry | ( |  | ) |
| overridevirtual

These methods are necessary to make this representation behave as a vtkProp.

Reimplemented from vtkBorderRepresentation.

## ◆ SetWindowLocation()

void vtkTextRepresentation::SetWindowLocation | ( | int | enumLocation | ) |
| overridevirtual

Set the text position, by enumeration ( vtkBorderRepresentation::AnyLocation = 0, vtkBorderRepresentation::LowerLeftCorner, vtkBorderRepresentation::LowerRightCorner, vtkBorderRepresentation::LowerCenter, vtkBorderRepresentation::UpperLeftCorner, vtkBorderRepresentation::UpperRightCorner, vtkBorderRepresentation::UpperCenter) related to the render window.

Reimplemented from vtkBorderRepresentation.

## ◆ SetPosition() [1/2]

void vtkTextRepresentation::SetPosition | ( | double | x,
|  | double | y
| ) |  |
| override

Set the text position, by overriding the same function of vtkBorderRepresentation so that the Modified() will be called.

## ◆ SetPosition() [2/2]

void vtkTextRepresentation::SetPosition | ( | double | pos[2] | ) |
| inlineoverride

Set the text position, by overriding the same function of vtkBorderRepresentation so that the Modified() will be called.

Definition at line 114 of file vtkTextRepresentation.h.

## ◆ ExecuteTextPropertyModifiedEvent()

void vtkTextRepresentation::ExecuteTextPropertyModifiedEvent | ( | vtkObject * | obj,
|  | unsigned long | enumEvent,
|  | void * | p
| ) |  |

Internal.

Execute events observed by internal observer

## ◆ ExecuteTextActorModifiedEvent()

void vtkTextRepresentation::ExecuteTextActorModifiedEvent | ( | vtkObject * | obj,
|  | unsigned long | enumEvent,
|  | void * | p
| ) |  |

Internal.

Execute events observed by internal observer

## ◆ SetPaddingLeft()

virtual void vtkTextRepresentation::SetPaddingLeft | ( | int |  | ) |
| virtual

Set/Get the padding between the text and the left border, in pixels unit.

Default is 0.

## ◆ GetPaddingLeft()

virtual int vtkTextRepresentation::GetPaddingLeft | ( |  | ) |
| virtual

Set/Get the padding between the text and the left border, in pixels unit.

Default is 0.

## ◆ SetPaddingRight()

virtual void vtkTextRepresentation::SetPaddingRight | ( | int |  | ) |
| virtual

Set/Get the padding between the text and the right border, in pixels unit.

Default is 0.

## ◆ GetPaddingRight()

virtual int vtkTextRepresentation::GetPaddingRight | ( |  | ) |
| virtual

Set/Get the padding between the text and the right border, in pixels unit.

Default is 0.

## ◆ SetPaddingTop()

virtual void vtkTextRepresentation::SetPaddingTop | ( | int |  | ) |
| virtual

Set/Get the padding between the text and the top border, in pixels unit.

Default is 0.

## ◆ GetPaddingTop()

virtual int vtkTextRepresentation::GetPaddingTop | ( |  | ) |
| virtual

Set/Get the padding between the text and the top border, in pixels unit.

Default is 0.

## ◆ SetPaddingBottom()

virtual void vtkTextRepresentation::SetPaddingBottom | ( | int |  | ) |
| virtual

Set/Get the padding between the text and the bottom border, in pixels unit.

Default is 0.

## ◆ GetPaddingBottom()

virtual int vtkTextRepresentation::GetPaddingBottom | ( |  | ) |
| virtual

Set/Get the padding between the text and the bottom border, in pixels unit.

Default is 0.

## ◆ SetPadding()

void vtkTextRepresentation::SetPadding | ( | int | padding | ) |

Set the padding between the text and the left/right/top/bottom border, in pixels unit.

Default is 0.

## ◆ InitializeTextActor()

virtual void vtkTextRepresentation::InitializeTextActor | ( |  | ) |
| protectedvirtual

## ◆ CheckTextBoundary()

virtual void vtkTextRepresentation::CheckTextBoundary | ( |  | ) |
| protectedvirtual

## Member Data Documentation

## ◆ TextActor

vtkTextActor* vtkTextRepresentation::TextActor
| protected

Definition at line 185 of file vtkTextRepresentation.h.

## ◆ TextProperty

vtkTextProperty* vtkTextRepresentation::TextProperty
| protected

Definition at line 186 of file vtkTextRepresentation.h.

## ◆ Observer

vtkTextRepresentationObserver* vtkTextRepresentation::Observer
| protected

Definition at line 189 of file vtkTextRepresentation.h.

## ◆ PaddingLeft

int vtkTextRepresentation::PaddingLeft = 0
| protected

Definition at line 191 of file vtkTextRepresentation.h.

## ◆ PaddingRight

int vtkTextRepresentation::PaddingRight = 0
| protected

Definition at line 192 of file vtkTextRepresentation.h.

## ◆ PaddingTop

int vtkTextRepresentation::PaddingTop = 0
| protected

Definition at line 193 of file vtkTextRepresentation.h.

## ◆ PaddingBottom

int vtkTextRepresentation::PaddingBottom = 0
| protected

Definition at line 194 of file vtkTextRepresentation.h.

The documentation for this class was generated from the following file:

- Interaction/Widgets/vtkTextRepresentation.h